%define version	20010722
%define release	2mdk
%define major	14
%define fname	libgeda
%define libname %{fname}%{major}

Summary: 	Libraries for the gEDA project
Name: 		%{libname}
Version: 	%{version}
Release: 	%{release}
Source:		ftp://ftp.geda.seul.org/pub/geda/dist/%{fname}-%{version}.tar.bz2
Url:		http://www.geda.seul.org
License:	LGPL 
Group: 		System/Libraries
BuildRoot:  %{_tmppath}/%{name}
Provides: %fname

%description
This package contains libgeda-6.0 (library needed by gEDA applications).

The gEDA project is working on producing a full GPL'd suite of
Electronic Design Automation tools. These tools are used for electrical
circuit design, simulation, prototyping, and production.

%package devel
Summary:    Development libraries for the gEDA project
Version:    %{version}
Release:    %{release}
Group:      System/Libraries
BuildRoot:  %{_tmppath}/%{name}
Provides: %fname-devel
Requires: %{libname} = %version

%description devel
This package contains libgeda-6.0 development libraries needed
 by gEDA applications) and the necessary header files for development.

The gEDA project is working on producing a full GPL'd suite of
Electronic Design Automation tools. These tools are used for electrical
circuit design, simulation, prototyping, and production.


%prep
%setup -q -n %fname-%version

%build
%configure
%make

%install
%makeinstall
./libtool --finish $RPM_BUILD_ROOT%{_libdir}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -Rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/libgeda.so.%major
%{_libdir}/libgeda.so.%major.0.0
/%{_bindir}/libgeda-config

%files devel
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libgeda.so
%{_libdir}/libgeda.a
%{_libdir}/libgeda.la
%dir %{_includedir}/libgeda
%{_includedir}/libgeda/*

%changelog
* Thu Oct 18 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 20010722-2mdk
- rpmlint fix

* Mon Aug 06 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 20010722-1mdk
- new snapshot
- libify
- capitalize summaries
- spec cleanup
- %%libname-devel requires %%libname-%version
- add some doc in %%libname-devel

* Fri Sep 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 20000220-2mdk
- BM
- clean spec

* Wed Jul 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 20000220-1mdk
- initial spec
